/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.gradle.plugins.target.platform.extensions;

import com.liferay.gradle.plugins.target.platform.internal.util.GradleUtil;

import java.util.Map;

import org.gradle.api.Project;

/**
 * @author Gregory Amerson
 */
public class TargetPlatformIDEExtension {

	public TargetPlatformIDEExtension(Project project) {
		Map<String, ?> properties = project.getProperties();

		Object indexSources = properties.get("target.platform.index.sources");

		if (indexSources != null) {
			setIndexSources(indexSources);
		}
	}

	public boolean isIndexSources() {
		return GradleUtil.toBoolean(_indexSources);
	}

	public void setIndexSources(Object indexSources) {
		_indexSources = indexSources;
	}

	private Object _indexSources;

}